DHTMLX Docs & Samples Explorer

Index
dhtmlxconnector

### GridDataItem specific

Nest all methods of DataItem Object

#### set_row_color

method allows to set color for any row in the component:

        $dataItem->set_row_color($color)

Parameters:

- $color - the color of the row

#### set_row_style

method allows to set the style for any row

        $dataItem->set_row_style($style )

Parameters:

- $style - style of the row in question

#### set_cell_style

method allows to set style for any cell of the item:

        $dataItem->set_cell_style($name,$value)

Parameters:

- $name - name or alias of the cell
- $value - style of the cell in question

#### set_cell_class

method allows to set class for any cell of the item:

        $dataItem->set_cell_class($name,$value)

Parameters:

- $name - name or alias of the cell
- $value - class of the cell in question

#### set_row_attribute

method allows to set attributes for any row of the component:

        $dataItem->set_row_attribute($attr,$value)

Parameters:

- $attr - name of attribute
- $value - value of attribute

#### set_cell_attribute

method allows to set attributes for any cell of the item:

        $dataItem->set_cell_attribute($name,$attr,$value)

Parameters:

- $name - name of alias of the cell in question
- $attr - name of attribute
- $value - value of attribute